<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Paises</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <br/>
        <p:fieldset legend="Agregar Pais">
            <h:form id="formPais">
                <h:panelGrid columns="2">
                    <p:outputLabel value="Nombre del pais"/>
                    <p:inputText value="#{paisController.pais.pais}"/>
                    <p:commandButton rendered="#{paisController.pais.pais==null}" value="Guardar" actionListener="#{paisController.insertar()}" update=":listaPaises,formPais"/>
                    <p:commandButton rendered="#{paisController.pais.pais!=null}" value="Actualizar" actionListener="#{paisController.actualizar()}" update=":listaPaises,formPais"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/>
        <p:fieldset legend="Lista de paises">
            <h:form id="listaPaises">
                <p:dataTable value="#{paisController.lista}" var="paises" paginator="true" rows="8">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{paises.idpais}"/>
                    </p:column>
                    <p:column headerText="Pais">
                        <p:outputLabel value="#{paises.pais}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar"  actionListener="#{paisController.eliminar(paises)}" update="listaPaises"/>
                        <p:commandButton value="Actualizar"  actionListener="#{paisController.consultarById(paises)}" update=":formPais"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

